# newsyslog config for SA systems

class base::newsyslog::messages::sa inherits base::newsyslog {
    # Since the default newsyslog config for messages isn't using the
    # definition, the override has to remove that file and create another.
    file { "/etc/newsyslog.daily/messagesSA": 
        ensure => absent,
    }

  # Determine the PID file location for the HUP action in the default messages
  # configuration.  Red Hat uses syslogd and Debian uses rsyslogd.
  case $::operatingsystem {
    'redhat': { $pid_file = '/var/run/syslogd.pid'  }
    default:  { $pid_file = '/var/run/rsyslogd.pid' }
  }

   # Rotate /var/log/messages into AFS and analyze it.
   Base::Newsyslog::Config['messages'] {
        frequency => "daily",
        directory => "/var/log",
        restart   => "hup ${pid_file}",
        archive   => "/afs/ir/service/clients/logs",
        log_owner => "root",
        log_group => "root",
        log_mode  => 640,
        logs      => [ "messages" ],
        analyze   => "/usr/bin/filter-syslog",
   }
}
